! MIDI FILE ANALYSER CONFIGURATION FILE				27-Jun-02

! String definitions for analysing the name of the midi file
! and the internal data derived from the midi file.
! Searching is done primary according to the certainty (highest values first)
! and secondary from top of file to bottom.
! The certainty is optional in this file, and not used by default.
!
! Searching is not case sensitive.
!
! All spaces, tabs, commas and other special characters (. _ - ^ # % @ ~)
! are removed from the string to be searched prior to the search.
! So the search tags may not contain such special characters, because they
! would never be found.
!
! Syntax:
! Keyword  = searchstring, song_title, artist, certainty
!
! where
!
! searchstring	    Substring to be searched in file name and internal name
! song_title	    Title of the song (optional value)
! artist	    Artist  (optional value)
! certainty	    An optional number indicating how sure we are about the
!		    result of analysing.
!		    Also used to define the search precedence of tags.
!		    If the value is >= 100 the search is terminated
!		    immediately if the line matches.
!		    NOTE: This stuff is mainly important for analysing styles.
!		    Because there is an unlimited variety of midi files this
!		    feature will hardly be used.
!
! History:
!	020627	Initial version

! First define the character which will be used to terminate/separate the items
! of the search tags (because we want to use "," inside the artists name

TERM_CHAR = ;


! NOTE: Because there is an unlimited variety of midi files the following list
!	serves only as an example and will never be complete or suitable for all persons.
!	So you have to extend the list according to your midi file collection.

! Songs by title

SEARCH_TAG = CLOUDNUMBERNINE;	Cloud Number Nine;		Adams, Bryan
SEARCH_TAG = CROCODILEROCK;	Crocodile Rock;			John, Elton
SEARCH_TAG = onefineday;	One Fine Day;			Chiffons
SEARCH_TAG = whitershade;	Whiter Shade of Pale;		Procol Harum

! Artists

SEARCH_TAG = ABBA;		;				ABBA
SEARCH_TAG = ANIMALS;		;				Animals
SEARCH_TAG = beachboys;		;				Beach Boys
SEARCH_TAG = BEATLES;		;				Beatles
SEARCH_TAG = BILLYJOEL;		;				Joel, Billy
SEARCH_TAG = caroleking;	;				King, Carol
SEARCH_TAG = carpenters;	;				Carpenters
SEARCH_TAG = chuckberry;	;				Berry, Chuck
SEARCH_TAG = Collins;		;				Collins, Phil
SEARCH_TAG = Creedence;		;				CCR
SEARCH_TAG = Croce;		;				Croce, Jim
SEARCH_TAG = deeppurple;	;				Deep Purple
SEARCH_TAG = direstraits;	;				Dire Straits
SEARCH_TAG = easybeats;		;				Easybeats
SEARCH_TAG = electriclightorch; ;				ELO
SEARCH_TAG = eltonjohn;		;				John, Elton
SEARCH_TAG = fleetwoodmac;	;				Fleetwood Mac
SEARCH_TAG = gallagherlyle;	;				Gallagher & Lyle
SEARCH_TAG = Garfunkel;		;				Simon & Garfunkel
SEARCH_TAG = JAMESLAST;		;				Last, James
SEARCH_TAG = JOELBILLY;		;				Joel, Billy
SEARCH_TAG = johndenver;	;				Denver, John
SEARCH_TAG = jovi;		;				Jovi, Bon
SEARCH_TAG = manilow;		;				Manilow, Barry
SEARCH_TAG = MariahCarey;	;				Carey, Mariah
SEARCH_TAG = newtonjohn;	;				Newton-John, Olivia
SEARCH_TAG = Parsons;		;				Parsons, Alan
SEARCH_TAG = PaulAnka;		;				Anka, Paul
SEARCH_TAG = presley;		;				Presley, Elvis
SEARCH_TAG = StatusQuo;		;				Status Quo
SEARCH_TAG = supertramp;	;				Supertramp
SEARCH_TAG = ventures;		;				Ventures
SEARCH_TAG = WhitneyHouston;	;				Houston, Whitney

! General categories of songs

SEARCH_TAG = JINGLEBELLS;	Jingle Bells;			Christmas
SEARCH_TAG = XMAS;		;				Christmas
SEARCH_TAG = Christmas;		;				Christmas

